Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_TOKEN_CONST Class Reference

Not a public interface. More...

`#include <Local_Tokens.h>`

List of all members.

## Public Types
typedef ACE_Null_Condition | COND_VAR
typedef ACE_Null_Mutex | MUTEX
typedef ACE_Guard< ACE_Null_Mutex > | GUARD

## Detailed Description

Not a public interface.

Constant definitions and typedefs for Token library. Mostly, this class is necessary to fight the compiler with order of declaration errors.

## Member Typedef Documentation

typedef ACE_Null_Condition ACE_TOKEN_CONST::COND_VAR

typedef ACE_Guard<ACE_Null_Mutex> ACE_TOKEN_CONST::GUARD

typedef ACE_Null_Mutex ACE_TOKEN_CONST::MUTEX

The documentation for this class was generated from the following file:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Local_Tokens.h